<%@ Page Language="c#" CodeBehind="HelpForm.aspx.cs" AutoEventWireup="false" MasterPageFile="~/StockTaker.Master" Inherits="StockTaker.HelpForm" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="StockTakerContent">
	<form id="Form1" method="post" runat="server">

		<a name="top"></a>
		
		<h1>StockTaker Scheduler <asp:label id="lblTitle" runat="server">Help Information</asp:label></h1>
		<ul>
			<li><asp:hyperlink id="hlkView" runat="server" NavigateUrl="#view">Viewing Stock Take Schedules</asp:hyperlink></li>
			<li><asp:HyperLink id="hlkManage" runat="server" NavigateUrl="#manage">Managing Stock Take Schedules</asp:HyperLink></li>
			<li><asp:hyperlink id="hlkFacilies" runat="server" NavigateUrl="#facilities">Managing Health Facilities</asp:hyperlink></li>
			<li><asp:hyperlink id="hlkCarts" runat="server" NavigateUrl="#stock-lists">Manage Stock Lists</asp:hyperlink></li>
			<li><asp:hyperlink id="hlkUsers" runat="server" NavigateUrl="#users">Manage Users</asp:hyperlink></li>
			<li><asp:hyperlink id="hlkExit" runat="server">Exit</asp:hyperlink></li>
		</ul>
		
		<br />
		<div class="horizDouble"><!-- --></div>
		
		<a name="view"></a>
		<h2><asp:Label id="Label1" runat="server">Viewing Stock Take Schedules</asp:Label></h2>
		<p>To view a stock take schedule, click the <strong>View Stock Take Schedules</strong> button on the main form.  On the <strong>View Stock Take Schedules</strong> page, select the health facility and day of the week you want to view a stock take schedule for.</p>
		<p>The <strong>Select a Description</strong> drop down list will then be populated with the available schedules. Select the description of the schedule you would like to view from this list."No schedules exist" will be displayed in the drop down list if no schedules are available for the given health facility and week day.</p>
		<p>Click <strong>Print View</strong> at the bottom of the page to display a printer friendly version of the current stock take schedule.</p>
		
		<p><a href="#top">Top</a></p>
		<div class="horizDouble"><!-- --></div>
		
		<a name="manage"></a>
		<h2><asp:Label id="lblManage" runat="server">Manage Stock Take Schedules</asp:Label></h2>
		<p>To manage stock take schedules, click the <strong>Manage Stock Take Schedules</strong> button on the main page. Enter your Scheduler username and password and click the <strong>Login</strong> button.  If you require a username and password, contact your system administrator. After logging in, you will be taken to the <strong>Manage Stock Take Schedules</strong> page.</p>
		<ul>
			<li><strong><u>Adding Schedules:</u></strong>
				<ul>
					<li>To add a new stock take schedule, click on the <strong>Add Schedule Form</strong> button at the top left of the form.</li>
					<li>Select the health facility and day of the week for the new schedule. A list of the unscheduled stock lists will be displayed in the <strong>Unscheduled Stock Lists</strong> list.</li>
					<li>Select the stock lists you want to move to the schedule and click the <strong>&gt;&gt;</strong> button.  To select more than one stock list at a time, hold down the <strong>Shift</strong> key while selecting the stock lists.</li>
					<li>To move stock lists from the <strong>Scheduled Stock Lists </strong>list back to the <strong>Unscheduled Stock Lists</strong> list, select these stock list(s) and click the <strong>&lt;&lt;</strong> button.</li>
					<li>Enter a description for the new schedule into the <strong>New Description</strong> field.</li> 
					<li>Click the <strong>Save</strong> button to save the new schedule.</li>						
					<li>Click the <strong>Cancel </strong>button to clear the form.</li>
				</ul>
			</li>
			<li><strong><u>Edit Schedules:</u></strong>
				<ul>
					<li>To edit an existing stock take schedule, click on the <strong>Edit Schedule Form</strong> button at the top left of the form.</li>					
					<li>Select the health facility and day of the week of the schedule to be edited. The <strong>Description</strong> drop down list will then be populated with descriptions of available schedules. If no schedules are available, the description will read "No schedules exist".</li>
					<li>Select the description of the schedule you want to edit. The <strong>Scheduled Stock List </strong>and<strong> Unscheduled Stock Lists</strong> lists will be populated with the stock lists that are included in the selected schedule and are available for scheduling respectively.</li>
					<li>Select the stock lists from the <strong>Unscheduled Stock Lists</strong> list that you want to add to the schedule and click the <strong>&gt;&gt;</strong> button.  To select more than one stock list at a time, hold down the <strong>Shift</strong> key while selecting the stock lists. 
					<li>Select stock lists from the <strong>Scheduled Stock Lists</strong> list that you want to remove from the schedule and click the <strong>&lt;&lt;</strong> button.</li>
					<li>You can update the schedule description by typing a new description into the <strong>New Description</strong> field.</li>						
					<li>Click the <strong>Save</strong> button to save the updated schedule.</li>						
					<li>Click the <strong>Cancel</strong> button to cancel any changes made to the schedule and clear the form.</li>
				</ul>
			</li>
			<li>
				<strong><u>Deleting Schedules:</u></strong>
				<ul>
					<li>To delete an existing stock take schedule, click on the <strong>Delete Schedule Form</strong> button at the top left of the form.</li>
					<li>Select the health facility and day of the week of the schedule to be deleted. The <strong>Description</strong> drop down list will then be populated with descriptions of available schedules.  If no schedules are available, the description will read "No schedules exist".</li>
					<li>Select the description of the schedule you want to delete. The <strong>Scheduled Stock Lists</strong> list will be populated with the stock lists that are included in the selected schedule.</li>
					<li>Click the <strong>Delete</strong> button to delete the schedule.</li>
					<li>Click the <strong>Cancel</strong> button to cancel the delete process.</li>
				</ul>
			</li>
		</ul>
		
		<p><a href="#top">Top</a></p>
		<div class="horizDouble"><!-- --></div>
		
		<a name="facilities"></a>
		<h2><asp:Label id="lblFacilities" runat="server">Manage Health Facilities</asp:Label></h2>
		<p>To manage health facility information, click the <strong>Manage Stock Take Schedules</strong> button on the main page.  Enter your Scheduler username and password and click the <strong>Login</strong> button. If you require a username and password, contact your system administrator.</p>
		<p>After logging in, you will be taken to the <strong>Manage Stock Take Schedules</strong> page. Clicking the <strong>Manage Health Facilities</strong> button at the top of the page will take you to the <strong>Manage Health Facility Records</strong> page.</p>
		<ul>
			<li><strong><u>Adding a Health Facility:</u></strong>					
				<ul>
					<li>To add a new health facility, click on the <strong>Add Facility Form</strong>  button at the top left of the form.</li>
					<li>Enter the ID and description of the new facility along with the paths to the Meditech input and output folders associated with this health facility.  If you do not know the path for the input and output folders, contact your system administrator.</li>
					<li>Click the <strong>Save</strong> button to save the new health facility details.</li>
					<li>Click the <strong>Cancel </strong>button to clear the form.</li>
				</ul>
			</li>
			<li><strong><u>Edit a Health Facility:</u></strong>					
				<ul>
					<li>To edit an existing health facility, click on the <strong>Edit Facility Form</strong> button at the top left of the form.</li>
					<li>Select the description of the health facility to be edited from the <strong>Select a Health Facility</strong> drop down list.  The details of the facility will then be displayed.</li>
					<li>Update the ID, description, Meditech Input Folder Path, and Meditech Output Folder Path fields as required.</li>
					<li>Click the <strong>Save</strong> button to save the updates.</li>
					<li>Click the <strong>Cancel </strong>button to cancel any changes made to the health facility.</li>
				</ul>
			</li>
			<li><strong><u>Deleting a Health Facility:</u></strong>
				<ul>
					<li>To delete an existing health facility, click on the <strong>Delete Facility Form</strong> button at the top left of the form.</li>
					<li>Select the description of the health facility to be deleted from the <strong>Select a Health Facility</strong> drop down list.  The details of the facility will then be displayed.</li>
					<li>Click the <strong>Delete </strong>button to delete the health facility.</li>
					<li>Click the <strong>Cancel </strong>button to cancel the delete process.</li>
				</ul>
			</li>
		</ul>
			
		<p><a href="#top">Top</a></p>
		<div class="horizDouble"><!-- --></div>
		
		<a name="stock-lists"></a>
		<h2><asp:Label id="lblCarts" runat="server">Managing Stock Lists</asp:Label></h2>
		<p>To manage stock list details, click the <strong>Manage Stock Take Schedules</strong> button on the main page.  Enter your Scheduler username and password and click the <strong>Login</strong> button.  If you require a username and password, contact your system administrator.</p>
		<p>After logging in, you will be taken to the <strong>Manage Stock Take Schedules</strong> page. Clicking the <strong>Manage Stock Lists </strong>button at the top of the page will take you to the <strong>Manage Stock List Records</strong> page.</p>
		<ul>
			<li><strong><u>Adding New Stock List Details:</u></strong>
				<ul>
					<li>To add new stock list details, click on the <strong>Add Stock List Form</strong>  button at the top of the form.</li>
					<li>Enter the ID and description of the new stock list and select the health facility the stock list belongs to from the <strong>Health Facility </strong> drop down list.</li>
					<li>Click the <strong>Save</strong> button to save the new stock list.</li>
					<li>Click the <strong>Cancel </strong>button to clear the form.</li>
				</ul>
			</li>
			<li><strong><u>Edit Stock List Details:</u></strong>
				<ul>
					<li>To edit and existing stock list, click on the <strong>Edit Stock List Form </strong> button at the top of the form.</li>
					<li>Select the ID of the stock list to be edited from the <strong>Select a stock list </strong> drop down list. The details of the stock list will then be displayed.</li>
					<li>Update the ID, description, and health facility fields as required.</li>
					<li>Click the <strong>Save</strong> button to save the updates.</li>
					<li>Click the <strong>Cancel </strong>button to cancel any changes made to the stock list details.</li>
				</ul>
			</li>
			<li><strong><u>Deleting Stock List Details:</u></strong>
				<ul>
					<li>To delete an existing stock list, click on the <strong>Delete Stock List Form</strong> button at the top left of the form. 
					<li>Select the ID of the stock list to be deleted from the <strong>Select a Stock List</strong> drop down list. The details of the stock list will then be displayed.</li>
					<li>Click the <strong>Delete </strong>button to delete the stock list details.</li>
					<li>Click the <strong>Cancel </strong>button to cancel the delete process.</li>
				</ul>
			</li>
		</ul>
		
		<p><a href="#top">Top</a></p>
		<div class="horizDouble"><!-- --></div>
		
		<a name="users"></a>
		<h2><asp:label id="lblUsers" runat="server">Managing Scheduler User Accounts</asp:label></h2>

			<p>To manage user accounts, click the <strong>Administer User Accounts</strong> button on the main page.  Enter your Scheduler username and password and click the <strong>Login</strong> button.  If you require a username and password, contact your system administrator.  You must be setup as a Scheduler administrator to manage user accounts. After logging in, you will be taken to the <strong>Manage User Accounts</strong> page.</p>
			<ul>
				<li><strong><u>Adding a New User Account:</u></strong>
					<ul>
						<li>To add a new user account, click on the <strong>Add User Form</strong> button at the top left of the form.</li> 
						<li>Enter the username and password of the new user and select the type of account from the <strong>User Type</strong> drop down list.
							<ul>
								<li>Manager accounts are allowed to manage stock take schedules, health facility and stock list details.</li>
								<li>Administrator accounts are allowed to manage stock take schedules, health facility details, stock list details and user accounts.</li>
							</ul>
						</li>
						<li>Click the <strong>Save</strong> button to save the user account.</li>
						<li>Click the <strong>Cancel </strong>button to clear the form.</li>
					</ul>
				</li>
				<li><strong><u>Edit a User Account:</u></strong>
					<ul>
						<li>To edit an existing user account, click on the <strong>Edit User Form</strong> button at the top left of the form.</li>
						<li>Select the username of the account to be edited from the <strong>Select a User</strong> drop down list. The user's username and account type will then be displayed.  You are not able to see the user's password.</li>
						<li>Update the username and account type as required.</li>
						<li>To update the user password, click the <strong>Change Password</strong> button. The password field will then be displayed. Enter the new password into this field.</li>
						<li>Click the <strong>Save</strong> button to save the updates.</li>
						<li>Click the <strong>Cancel </strong>button to cancel any changes made to the user account.</li>
					</ul>
				</li>
				<li><strong><u>Deleting a User Account:</u></strong>
					<ul>
						<li>To delete an existing user account, click on the <strong>Delete  User Form </strong>button at the top left of the form. </li>
						<li>Select the username of the account to be deleted from the <strong>Select a User </strong>drop down list.  The username and account type will then be displayed.</li>
						<li>Click the <strong>Delete </strong>button to delete the user account.</li>
						<li>Click the <strong>Cancel </strong>button to cancel the delete process.</li>
					</ul>
				</li>
			</ul>
			
			<p><a href="#top">Top</a></p>
			
		</form>
</asp:Content>
